> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/project-activities.md).

# Project activities

## Get project activities

> This api is used to sync project activities with OutSmart.  \
> Each project record can contain the following data:\
> \
> \| Parameter | Description | Type (size) |\
> \| --- | --- | --- |\
> \| pra\_code | Code for this project activity | Varchar (255) |\
> \| pra\_pro\_code | Code of the project this activity belongs to | Varchar (255) |\
> \| pra\_name | Name for the activity | Varchar (255) |\
> \| pra\_description | Description for the activity | Text |\
> \| pra\_date\_start | Start date of the activity | Date |\
> \| pra\_end\_date | End date of the activity | Date |\
> \| pra\_order | Order number of the ativity | Int (11) |\
> \| pra\_status | Code of an predefined assigned project activity status | Varchar (255) |\
> \| pra\_budget\_hours | The total hours budget for this activity | Float (20,5) |\
> \| pra\_budget\_hours\_used | The amount of used hours for this activity | Float (20,5) |\
> \| pra\_budget\_costs | The total costs budget for this activity | Float (20,5) |\
> \| pra\_budget\_costs\_used | The amount of used costs for this activity | Float (20,5) |\
> \| pra\_budget\_revenue | The total revenue budget for this activity | Float (20,5) |\
> \| pra\_budget\_revenue\_used | The amount of used revenue for this activity | Float (20,5) |\
> \| pra\_material\_type |  | Varchar (255) |\
> \| pra\_material\_count |  | Int (11) |\
> \| pra\_visible\_planboard | Boolean that determines if this activity will be visible in the project scheduler | Boolean / Int (1) |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/project_activities/":{"get":{"summary":"Get project activities","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{},"tags":["Project activities"],"description":"This api is used to sync project activities with OutSmart.  \nEach project record can contain the following data:\n\n| Parameter | Description | Type (size) |\n| --- | --- | --- |\n| pra_code | Code for this project activity | Varchar (255) |\n| pra_pro_code | Code of the project this activity belongs to | Varchar (255) |\n| pra_name | Name for the activity | Varchar (255) |\n| pra_description | Description for the activity | Text |\n| pra_date_start | Start date of the activity | Date |\n| pra_end_date | End date of the activity | Date |\n| pra_order | Order number of the ativity | Int (11) |\n| pra_status | Code of an predefined assigned project activity status | Varchar (255) |\n| pra_budget_hours | The total hours budget for this activity | Float (20,5) |\n| pra_budget_hours_used | The amount of used hours for this activity | Float (20,5) |\n| pra_budget_costs | The total costs budget for this activity | Float (20,5) |\n| pra_budget_costs_used | The amount of used costs for this activity | Float (20,5) |\n| pra_budget_revenue | The total revenue budget for this activity | Float (20,5) |\n| pra_budget_revenue_used | The amount of used revenue for this activity | Float (20,5) |\n| pra_material_type |  | Varchar (255) |\n| pra_material_count |  | Int (11) |\n| pra_visible_planboard | Boolean that determines if this activity will be visible in the project scheduler | Boolean / Int (1) |"}}}}
```

## Add project activity

> This api is used to sync project activities with OutSmart.  \
> Each project record can contain the following data:\
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| pra\_code | Code for this project activity | Y | Varchar (255) |\
> \| pra\_pro\_code | Code of the project this activity belongs to | Y | Varchar (255) |\
> \| pra\_name | Name for the activity | Y | Varchar (255) |\
> \| pra\_description | Description for the activity | N | Text |\
> \| pra\_date\_start | Start date of the activity | N | Date (YYYY-MM-DD) |\
> \| pra\_end\_date | End date of the activity | N | Date (YYYY-MM-DD) |\
> \| pra\_order | Order number of the ativity | N | Int (11) |\
> \| pra\_status | Code of an predefined assigned project activity status | N | Varchar (255) |\
> \| pra\_budget\_hours | The total hours budget for this activity | N | Float (20,5) |\
> \| pra\_budget\_hours\_used | The amount of used hours for this activity | N | Float (20,5) |\
> \| pra\_budget\_costs | The total costs budget for this activity | N | Float (20,5) |\
> \| pra\_budget\_costs\_used | The amount of used costs for this activity | N | Float (20,5) |\
> \| pra\_budget\_revenue | The total revenue budget for this activity | N | Float (20,5) |\
> \| pra\_budget\_revenue\_used | The amount of used revenue for this activity | N | Float (20,5) |\
> \| pra\_material\_type |  | N | Varchar (255) |\
> \| pra\_material\_count |  | N | Int (11) |\
> \| pra\_visible\_planboard | Boolean that determines if this activity will be visible in the project scheduler | N | Boolean / Int (1) |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/project_activities/":{"post":{"summary":"Add project activity","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Project activities"],"description":"This api is used to sync project activities with OutSmart.  \nEach project record can contain the following data:\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| pra_code | Code for this project activity | Y | Varchar (255) |\n| pra_pro_code | Code of the project this activity belongs to | Y | Varchar (255) |\n| pra_name | Name for the activity | Y | Varchar (255) |\n| pra_description | Description for the activity | N | Text |\n| pra_date_start | Start date of the activity | N | Date (YYYY-MM-DD) |\n| pra_end_date | End date of the activity | N | Date (YYYY-MM-DD) |\n| pra_order | Order number of the ativity | N | Int (11) |\n| pra_status | Code of an predefined assigned project activity status | N | Varchar (255) |\n| pra_budget_hours | The total hours budget for this activity | N | Float (20,5) |\n| pra_budget_hours_used | The amount of used hours for this activity | N | Float (20,5) |\n| pra_budget_costs | The total costs budget for this activity | N | Float (20,5) |\n| pra_budget_costs_used | The amount of used costs for this activity | N | Float (20,5) |\n| pra_budget_revenue | The total revenue budget for this activity | N | Float (20,5) |\n| pra_budget_revenue_used | The amount of used revenue for this activity | N | Float (20,5) |\n| pra_material_type |  | N | Varchar (255) |\n| pra_material_count |  | N | Int (11) |\n| pra_visible_planboard | Boolean that determines if this activity will be visible in the project scheduler | N | Boolean / Int (1) |"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/project-activities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
